Results 1 to 4 of 4

Thread: openshot-qt does not start in openSUSE Leap 15.

  1. #1

    Question openshot-qt does not start in openSUSE Leap 15.

    Openshot-qt does not start in openSUSE Leap 15, below is the error message:

    Loaded modules from installed directory: /usr/lib/python3.6/site-packages/openshot_qt
    launch:INFO ------------------------------------------------
    launch:INFO OpenShot (version 2.4.1)
    launch:INFO ------------------------------------------------
    app:INFO openshot-qt version: 2.4.1
    app:INFO libopenshot version: 0.1.9
    app:INFO platform: Linux-4.12.14-lp150.12.58-default-x86_64-with-glibc2.3.4
    app:INFO processor: x86_64
    app:INFO machine: x86_64
    app:INFO python version: 3.6.5
    app:INFO qt5 version: 5.9.4
    app:INFO pyqt5 version: 5.10.1
    logger:ERROR Traceback (most recent call last):
    logger:ERROR File "/usr/bin/openshot-qt", line 11, in <module>
    logger:ERROR load_entry_point('openshot-qt==2.4.1', 'gui_scripts', 'openshot-qt')()
    logger:ERROR File "/usr/lib/python3.6/site-packages/openshot_qt/launch.py", line 69, in main
    logger:ERROR app = OpenShotApp(sys.argv)
    logger:ERROR File "/usr/lib/python3.6/site-packages/openshot_qt/classes/app.py", line 91, in __init__
    logger:ERROR from classes import exceptions
    logger:ERROR File "/usr/lib/python3.6/site-packages/openshot_qt/classes/exceptions.py", line 30, in <module>
    logger:ERROR from classes.metrics import track_exception_stacktrace
    logger:ERROR File "/usr/lib/python3.6/site-packages/openshot_qt/classes/metrics.py", line 30, in <module>
    logger:ERROR import requests
    logger:ERROR ModuleNotFoundError
    logger:ERROR :
    logger:ERROR No module named 'requests'
    Carlos Filho
    http://opensusebr.blogspot.com.br

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,024

    Default AW: openshot-qt does not start in openSUSE Leap 15.

    Please post:
    Code:
    zypper lr -d

  3. #3

    Default Re: openshot-qt does not start in openSUSE Leap 15.

    Quote Originally Posted by caffilhobr View Post
    Openshot-qt does not start in openSUSE Leap 15, below is the error message:
    logger:ERROR import requests
    logger:ERROR ModuleNotFoundError
    logger:ERROR :
    logger:ERROR No module named 'requests'
    It looks like the python3-requests package is missing. Both openshot-2.4.1 and python3-requests are available in opensuse-15.0 oss repo. So installing openshot should
    automatically install python3-requests as dependency.

  4. #4

    Default Re: openshot-qt does not start in openSUSE Leap 15.

    Quote Originally Posted by mkossmann View Post
    It looks like the python3-requests package is missing. Both openshot-2.4.1 and python3-requests are available in opensuse-15.0 oss repo. So installing openshot should
    automatically install python3-requests as dependency.
    Interesting it did not install python3-requests automatically, I did the package installation manually and it started normally.

    Thanks
    Carlos Filho
    http://opensusebr.blogspot.com.br

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •